criterion-0.5.0.10: Robust, reliable performance measurement and analysis

Portability | GHC
Stability | experimental
Maintainer | bos@serpentine.com

Criterion.Plot

Description

Plotting functions.

Synopsis

- plotKDE :: PlotOutput -> String -> Maybe (Double, Double) -> Points -> Vector Double -> IO ()
- plotTiming :: PlotOutput -> String -> Sample -> IO ()
- plotWith :: Plot -> (PlotOutput -> IO ()) -> Criterion ()

# Documentation

plotKDE

Arguments

:: PlotOutput | The kind of output desired.
-> String | Benchmark name.
-> Maybe (Double, Double) | Range of x-axis
-> Points | Points at which KDE was computed.
-> Vector Double | Kernel density estimates.
-> IO () |

Plot kernel density estimate.

plotTiming

Arguments

:: PlotOutput | The kind of output desired.
-> String | Benchmark name.
-> Sample | Timing data.
-> IO () |

Plot timing data.

plotWith :: Plot -> (PlotOutput -> IO ()) -> Criterion ()